#!/bin/sh
#
#	listdescription.sh
#
#	Author:	Tim Niiler
#	Date:	March 13, 2004
#	License: GPL
#
#	Purpose: This script is, in the spirit of the EZInstaller program,
#		a drop-in install script that lists the package description
#		if it exists.
#
#		In slackware and VL, this is very easy to do.  
#
#		For those of you who love rpms or debs, time to get crackin'!
#		I anticipate that you would want to use a switch statement
#		depending on the file extension and then use the appropriate
#		installation mechanism.
#
#		Again, I have this particular stuff out of the ezinstaller C
#		code so that your level of expertise in modifying the installation
#		routine does not have to be that high and so that this can be
#		more easily distro independent.
#
a=`echo $1 | awk -F- '{print $1}'`
echo $a
cat /var/log/packages/$1 | grep $a: > package_description.txt
b=`cat /var/log/packages/$1 | grep $a:`
echo $b
blen=${#b}
if [ "$blen" = 0 ]; then
	echo "No package description exists for $1" > package_description.txt
fi

