#!/bin/sh
#
#	xinstallpackages.sh
#
#	Author:	Tim Niiler
#	Date:	March 11, 2004
#	License: GPL
#
#	Purpose: This script is, in the spirit of the EZInstaller program,
#		a drop-in install script that does the work of installing the
#		the specified packages.  Obtaining the packages is done
#		via the wget command issued as a system call from ezinstaller.
#		
#		This script therefore expects to find the packages to install
#		in the packages directory and reads a list of the files to
#		install from current_packages.txt.
#
#		In the interest in ultimately being platform independent,
#		current_packages.txt may contain a list of any type of package
#		rpm, deb, or our favorite: tgz.  It is this script that does
#		the install. 
#
#		For those of you who love rpms or debs, time to get crackin'!
#		I anticipate that you would want to use a switch statement
#		depending on the file extension and then use the appropriate
#		installation mechanism.
#
#		Again, I have this particular stuff out of the ezinstaller C
#		code so that your level of expertise in modifying the installation
#		routine does not have to be that high and so that this can be
#		more easily distro independent.
#
#		This script is a wrapper for installpackages.sh
#

xterm -T "Login as Root to Install" -geometry 70x10 -e su -c ./installpackage.sh
